/* ARCADEmini simulator (unix, console)
 * version 1.0.2 date 2005-10-24
 * part of the ARCADEmini project - http[s]://arcademini.schuermans.info/
 * Copyright (C) 2003-2005 sphaera <sphaera@geekness.de>
 *                     and 1stein <1stein@schuermans.info>
 * Copyleft: GNU public license - http://www.gnu.org/copyleft/gpl.html
 */

#ifndef INC_display
#define INC_display

#include "am_dev.h"

//initialize display
//returns 0 on success, -1 on error
int display_init( );

//display an ARCADEmini picture
void display_picture( st_am_state * p_state );

//polling procedure for display
//returns true to signal end of simulation
int display_poll( st_am_state * p_state );

//cleanup display
void display_exit( );

//do final stuff (and maybe exit program)
void display_final( );

#endif //#ifndef INC_display
