/* ARCADEmini simulator (unix, console)
 * version 1.0.2 date 2005-10-24
 * part of the ARCADEmini project - http[s]://arcademini.schuermans.info/
 * Copyright (C) 2003-2005 sphaera <sphaera@geekness.de>
 *                     and 1stein <1stein@schuermans.info>
 * Copyleft: GNU public license - http://www.gnu.org/copyleft/gpl.html
 */

#ifndef INC_input
#define INC_input

#include "am_dev.h"

//initialize input
//returns 0 on success, -1 on error
int input_init( );

//polling procedure for input
//returns true to signal end of simulation
int input_poll( st_am_state * p_state );

//cleanup input
void input_exit( );

#endif //#ifndef INC_input

